__author__ = 'dev'

import urwid


class ConsoleButton(urwid.Button):

    def __init__(self, label):
        super().__init__(label)
        self.setup_button()

    def _connect(self, signal_name, user_args=None):
        urwid.connect_signal(self, signal_name, self._action)

    def _action(self, sender):
        pass